Index: include/libroar/auth.h
===================================================================
--- include/libroar/auth.h	(revision 6052)
+++ include/libroar/auth.h	(revision 0)
@@ -1,36 +1,3 @@
 //auth.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #ifndef _LIBROARAUTH_H_
@@ -39,25 +6,5 @@
 #include "libroar.h"
 
-struct roar_auth_message {
- int type;
- int stage;
- union {
-  char     c[2];
-  uint16_t ui16;
- } reserved;
- void * data;
- size_t len;
-};
-
 int roar_auth   (struct roar_connection * con);
-
-int roar_auth_from_mes(struct roar_auth_message * ames, struct roar_message * mes, void * data);
-int roar_auth_to_mes(struct roar_message * mes, void ** data, struct roar_auth_message * ames);
-
-int roar_auth_init_mes(struct roar_message * mes, struct roar_auth_message * ames);
-
-
-int    roar_str2autht(const char * str);
-const char * roar_autht2str(const int auth);
 
 #endif
Index: include/libroar/basic.h
===================================================================
--- include/libroar/basic.h	(revision 6052)
+++ include/libroar/basic.h	(revision 0)
@@ -1,36 +1,3 @@
-//basic.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//libroarbasic.h:
 
 #ifndef _LIBROARBASIC_H_
@@ -41,18 +8,4 @@
 #define LIBROAR_BUFFER_SMALL   80
 #define LIBROAR_BUFFER_MSGDATA LIBROAR_BUFFER_SMALL
-#define _ROAR_MESSAGE_VERSION 0
-
-#if ROAR_MAX_CHANNELS > (LIBROAR_BUFFER_SMALL - 10)
-#error ROAR_MAX_CHANNELS too large change ROAR_MAX_CHANNELS or LIBROAR_BUFFER_SMALL
-#endif
-
-#define ROAR_CON_FLAGS_NONE        0x00000000UL
-#define ROAR_CON_FLAGS_FH          0x00000001UL /* obsoleted */
-#define ROAR_CON_FLAGS_VIO         0x00000002UL /* mandatory */
-#define ROAR_CON_FLAGS_ISCLIENT    0x00000004UL
-#define ROAR_CON_FLAGS_SUPPORT_V2  0x00000008UL /* mandatory if con.version == 2 */
-#define ROAR_CON_FLAGS_SUPPORT_EF  0x00000010UL /* Both peers support error frames */
-#define ROAR_CON_FLAGS_FREESELF    0x00000020UL /* Free the connection object */
-#define ROAR_CON_FLAGS_TERMINATE   0x00000040UL /* Send TERMINATE before QUIT */
 
 struct roar_message {
@@ -60,74 +13,28 @@
  unsigned int stream;
  uint32_t pos;
- size_t datalen;
+ int datalen;
  char data[LIBROAR_BUFFER_MSGDATA];
- int16_t seq;
- int32_t flags;
- int32_t crc;
- int version;
- uint64_t pos64;
 };
 
-struct roar_stds; // "caps.h" will be included later.
-
 struct roar_connection {
- size_t refc;
- uint32_t flags;
- int version;
- struct roar_vio_calls * viocon;
- struct roar_vio_calls   viocon_store;
- struct roar_error_frame errorframe;
- void * cb_userdata;
- void (*cb)(struct roar_connection * con, struct roar_message * mes, void * data, void * userdata);
- struct roar_stds * server_stds;
- char * server_name;
+ int fh;
 };
 
 
-int roar_connect      (struct roar_connection * con, const char * server, int flags, uint_least32_t timeout);
-int roar_connect_none (struct roar_connection * con);
-int roar_connect_vio  (struct roar_connection * con, struct roar_vio_calls * vio);
-int roar_connect_fh   (struct roar_connection * con, int fh);
-int roar_get_connection_fh  (struct roar_connection * con);
-struct roar_vio_calls * roar_get_connection_vio2 (struct roar_connection * con);
-const char * roar_get_connection_server(struct roar_connection * con);
-int roar_connectionref(struct roar_connection * con);
-int roar_connectionunref(struct roar_connection * con);
-#define roar_disconnect(x) roar_connectionunref((x))
+int roar_connect_raw (char * server);
 
-int roar_set_connection_callback(struct roar_connection * con,
-                                 void (*cb)(struct roar_connection * con,
-                                            struct roar_message    * mes,
-                                            void                   * data,
-                                            void                   * userdata),
-                                 void * userdata);
+int roar_connect    (struct roar_connection * con, char * server);
+int roar_disconnect (struct roar_connection * con);
 
-int roar_set_connection_version(struct roar_connection * con, int version);
-
-int16_t roar_message_genseq(struct roar_connection * con, int is_client);
-
-int roar_sync         (struct roar_connection * con);
-int roar_wait_msg     (struct roar_connection * con, int16_t seq, int16_t seqmask);
-
-int roar_noop         (struct roar_connection * con);
-
-int roar_identify     (struct roar_connection * con, const char * name);
+int roar_identify   (struct roar_connection * con, char * name);
 
 int roar_send_message (struct roar_connection * con, struct roar_message * mes, char *  data);
 int roar_recv_message (struct roar_connection * con, struct roar_message * mes, char ** data);
 int roar_req          (struct roar_connection * con, struct roar_message * mes, char ** data);
-int roar_recv_message2 (struct roar_connection * con, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
-int roar_req2          (struct roar_connection * con, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
-#define roar_req3(con,mes,data) roar_req2((con), (mes), (data), roar_err_errorframe())
 
-int roar_vsend_message(struct roar_vio_calls  * vio, struct roar_message * mes, char *  data);
-int roar_vrecv_message(struct roar_vio_calls  * vio, struct roar_message * mes, char ** data);
-int roar_vreq         (struct roar_vio_calls  * vio, struct roar_message * mes, char ** data);
-int roar_vrecv_message2(struct roar_vio_calls  * vio, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
-int roar_vreq2         (struct roar_vio_calls  * vio, struct roar_message * mes, char ** data,
-                        struct roar_error_frame * errorframe);
+int roar_debug_message_print (struct roar_message * mes);
+
+int roar_debug_audio_info_print (struct roar_audio_info * info);
+
 #endif
 
Index: include/libroar/buffer.h
===================================================================
--- include/libroar/buffer.h	(revision 6052)
+++ include/libroar/buffer.h	(revision 0)
@@ -1,36 +1,3 @@
 //buffer.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #ifndef _LIBROAR_BUFFER_H_
@@ -39,81 +6,31 @@
 #include <roaraudio.h>
 
-#define ROAR_BUFFER_FLAG_NONE            0x00
-#define ROAR_BUFFER_FLAG_NOFREE          0x01
-#define ROAR_BUFFER_FLAG_RING            0x02
-#define ROAR_BUFFER_FLAG_FREE_RUNNING    0x04
-
-// for memory corruption detection:
-#define ROAR_BUFFER_FLAG_USEABLE         0x40
-#define ROAR_BUFFER_FLAG_FREED           0x80
-
-#define ROAR_BUFFER_SET                     0
-#define ROAR_BUFFER_RESET                   1
-
-#define _LIBROAR_BUFFER_STDATTRS _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL
-
-struct roar_buffer;
-
-struct roar_buffer_stats {
- size_t parts;
- size_t bytes;
- size_t memory_usage;
+struct roar_buffer {
+ size_t               len;
+ size_t               user_len;
+ void               * data;
+ void               * user_data;
+ void               * meta;
+ struct roar_buffer * next;
 };
 
-#define roar_buffer_new(a,len) roar_buffer_new_data((a), (len), NULL)
+#define roar_buffer_next(a) roar_buffer_delete(*(a), (a));
 
-#define roar_buffer_free(x)    roar_buffer_unref(x)
+int roar_buffer_new      (struct roar_buffer ** buf, size_t len);
+int roar_buffer_free     (struct roar_buffer *  buf);
+int roar_buffer_delete   (struct roar_buffer *  buf, struct roar_buffer ** next);
+int roar_buffer_add      (struct roar_buffer *  buf, struct roar_buffer *  next);
 
-#define roar_buffer_foreach(cur) for (; (cur) != NULL; (cur) = (roar_buffer_next(&(cur)) == -1) ? NULL : (cur))
+int roar_buffer_get_next (struct roar_buffer *  buf, struct roar_buffer ** next);
 
-int roar_buffer_new_no_ma(struct roar_buffer ** buf, size_t len, void * data) _LIBROAR_BUFFER_STDATTRS; // no internal malloc
-int roar_buffer_delete   (struct roar_buffer *  buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_next     (struct roar_buffer ** buf) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_add      (struct roar_buffer *  buf, struct roar_buffer *  next) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_moveinto (struct roar_buffer *  buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_moveintoqueue(struct roar_buffer ** buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
+int roar_buffer_get_data (struct roar_buffer *  buf, void   ** data);
 
-int roar_buffer_ref      (struct roar_buffer *  buf) _LIBROAR_ATTR_NONNULL_ALL;
-int roar_buffer_unref    (struct roar_buffer *  buf) _LIBROAR_ATTR_NONNULL_ALL;
+int roar_buffer_set_offset (struct roar_buffer *  buf, size_t off);
 
-int roar_buffer_new_data (struct roar_buffer ** buf, size_t len, void ** data) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL(1);
+int roar_buffer_set_meta (struct roar_buffer *  buf, void   *  meta);
+int roar_buffer_get_meta (struct roar_buffer *  buf, void   ** meta);
 
-int roar_buffer_new_str  (struct roar_buffer ** buf, const char * str, int terminate) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL;
-
-int roar_buffer_ring_new (struct roar_buffer ** buf, size_t len, int free_running) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_get_next   (struct roar_buffer *  buf, struct roar_buffer ** next) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_get_data (struct roar_buffer   * buf, void   ** data) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_datalen(struct roar_buffer * buf, void   ** data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_offset (struct roar_buffer *  buf, size_t off) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_shift_out (struct roar_buffer ** buf, void * data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_meta    (struct roar_buffer *  buf, void    *  meta) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_meta    (struct roar_buffer *  buf, void    ** meta) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_set_meta_i32(struct roar_buffer *  buf, int32_t    meta) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_meta_i32(struct roar_buffer *  buf, int32_t *  meta) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_type    (struct roar_buffer *  buf, int        type) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_type    (struct roar_buffer *  buf, int     *  type) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_len  (struct roar_buffer *  buf, size_t    len) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_len  (struct roar_buffer *  buf, size_t *  len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_set_flag (struct roar_buffer *  buf, int flag, int reset) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_get_flag (struct roar_buffer *  buf, int flag) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_duplicate (struct roar_buffer *  buf, struct roar_buffer ** copy) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_ring_stats (struct roar_buffer *  buf, struct roar_buffer_stats * stats) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_ring_read  (struct roar_buffer *  buf, void * data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-int roar_buffer_ring_write (struct roar_buffer *  buf, void * data, size_t * len) _LIBROAR_BUFFER_STDATTRS;
-
-int roar_buffer_ring_avail(struct roar_buffer *  buf, size_t * readlen, size_t * writelen) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL(1);
-
-int roar_buffer_ring_reset(struct roar_buffer *  buf) _LIBROAR_BUFFER_STDATTRS;
+int roar_buffer_set_len  (struct roar_buffer *  buf, size_t    len);
+int roar_buffer_get_len  (struct roar_buffer *  buf, size_t *  len);
 
 #endif
Index: include/libroar/ctl.h
===================================================================
--- include/libroar/ctl.h	(revision 6052)
+++ include/libroar/ctl.h	(revision 0)
@@ -1,36 +1,3 @@
-//ctl.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
+//auth.h:
 
 #ifndef _LIBROARCTL_H_
@@ -39,17 +6,15 @@
 #include "libroar.h"
 
-#define _LIBROAR_CTL_STDATTRS _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_NONNULL_ALL
-
-int roar_get_clientid  (struct roar_connection * con) _LIBROAR_CTL_STDATTRS;
-
-int roar_get_standby   (struct roar_connection * con) _LIBROAR_CTL_STDATTRS;
-int roar_set_standby   (struct roar_connection * con, int state) _LIBROAR_CTL_STDATTRS;
-
-int roar_terminate      (struct roar_connection * con, int terminate) _LIBROAR_CTL_STDATTRS;
-int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s, int dir) _LIBROAR_CTL_STDATTRS;
+#define ROAR_CTL_FILTER_ANY   0
 
 
-int roar_list         (struct roar_connection * con, int * items,   int max, int cmd) _LIBROAR_CTL_STDATTRS;
-int roar_list_filtered(struct roar_connection * con, int * items,   int max, int cmd, unsigned char filter, unsigned char cmp, uint32_t id) _LIBROAR_CTL_STDATTRS;
+int roar_get_standby   (struct roar_connection * con);
+int roar_set_standby   (struct roar_connection * con, int state);
+
+int roar_exit   (struct roar_connection * con);
+int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s);
+
+
+int roar_list         (struct roar_connection * con, int * items,   int max, int cmd);
 
 /*
@@ -60,11 +25,8 @@
 #define roar_list_streams(c,i,m) roar_list((c),(i),(m),ROAR_CMD_LIST_STREAMS)
 
-int roar_get_client   (struct roar_connection * con, struct roar_client * client, int id) _LIBROAR_CTL_STDATTRS;
-int roar_get_stream   (struct roar_connection * con, struct roar_stream * stream, int id) _LIBROAR_CTL_STDATTRS;
+int roar_get_client   (struct roar_connection * con, struct roar_client * client, int id);
+int roar_get_stream   (struct roar_connection * con, struct roar_stream * stream, int id);
 
-int roar_kick         (struct roar_connection * con, int type, int id) _LIBROAR_ATTR_NONNULL_ALL;
-
-int roar_set_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode) _LIBROAR_CTL_STDATTRS;
-int roar_get_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int * channels) _LIBROAR_CTL_STDATTRS;
+int roar_kick         (struct roar_connection * con, int type, int id);
 
 // filter...
@@ -73,26 +35,11 @@
 #define roar_ctl_f2m_any(m) roar_ctl_f2m((m), ROAR_CTL_FILTER_ANY, ROAR_CTL_FILTER_ANY, ROAR_CTL_FILTER_ANY)
 
-int roar_filter_match (const unsigned cmp, const uint32_t a, const uint32_t b) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
 // int array
-int roar_ctl_ia2m     (struct roar_message * m, int * data, size_t len);
-int roar_ctl_m2ia     (struct roar_message * m, int * data, size_t len);
+int roar_ctl_ia2m     (struct roar_message * m, int * data, int len);
+int roar_ctl_m2ia     (struct roar_message * m, int * data, int len);
 
 // client
 int roar_ctl_c2m      (struct roar_message * m, struct roar_client * c);
 int roar_ctl_m2c      (struct roar_message * m, struct roar_client * c);
-int roar_ctl_c2m2     (struct roar_message * m, struct roar_client * c, void ** data);
-int roar_ctl_m2c2     (struct roar_message * m, struct roar_client * c, void  * data);
-
-int    roar_str2proto (const char * proto) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-const char * roar_proto2str (const int    proto) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int    roar_str2byteorder (const char * byteorder) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-const char * roar_byteorder2str (const int    byteorder) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int    roar_str2ot        (const char * ot) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-const char * roar_ot2str  (const int    ot) _LIBROAR_ATTR_USE_RESULT _LIBROAR_ATTR_PURE;
-
-int roar_conv_volume (struct roar_mixer_settings * dst, struct roar_mixer_settings * src, int dstchans, int srcchans) _LIBROAR_CTL_STDATTRS;
 
 #endif
Index: include/libroar/libroar.h
===================================================================
--- include/libroar/libroar.h	(revision 6067)
+++ include/libroar/libroar.h	(revision 0)
@@ -1,304 +1,20 @@
 //libroar.h:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *
- *  This file is part of libroar a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  libroar is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this lib
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #ifndef _LIBROAR_H_
 #define _LIBROAR_H_
 
-//#define ROAR_DBG_PREFIX  "libroar"
+#define ROAR_DBG_PREFIX  "libroar"
+
+#include <fcntl.h>
 
 #include <roaraudio.h>
-
-// Parameter passing:
-
-#include <stdarg.h>
-
-// Process control:
-
-#ifdef ROAR_HAVE_WAIT
-#include <sys/wait.h>
-#endif
-
-// File handle control:
-
-#ifdef ROAR_HAVE_H_FCNTL
-#include <fcntl.h>
-#endif
-
-// Signal handling:
-
-#ifdef ROAR_HAVE_H_SIGNAL
-#include <signal.h>
-#endif
-
-// Logging:
-
-#ifdef ROAR_HAVE_SYSLOG
-#include <syslog.h>
-#endif
-
-// Network:
-
-#ifdef ROAR_TARGET_WIN32
-#include <winsock2.h>
-#elif defined(ROAR_HAVE_BSDSOCKETS)
-
-// <sys/socket.h> is included in <roaraudio.h> as it is required early.
-
-#ifdef ROAR_HAVE_IPV4
-#include <netinet/in_systm.h>
-#include <netinet/in.h>
-#include <netinet/ip.h>
-#include <netinet/tcp.h>
-#endif
-
-#if defined(ROAR_HAVE_IPV4) || defined(ROAR_HAVE_IPV6)
-#include <arpa/inet.h>
-#endif
-
-#include <sys/uio.h>
-
-#ifdef ROAR_HAVE_UNIX
-#include <sys/un.h>
-#endif
-
-#ifdef ROAR_HAVE_LIBDNET
-#include <netdnet/dn.h>
-#include <netdnet/dnetdb.h>
-#endif
-
-#ifdef ROAR_HAVE_IPX
-#include <netipx/ipx.h>
-#endif
-
-#endif /* ROAR_HAVE_BSDSOCKETS */
-
-#if !defined(ROAR_TARGET_WIN32) && !defined(ROAR_TARGET_MICROCONTROLLER)
-#include <netdb.h>
-#endif
-
-// OpenSLP (autoconf):
-
-#ifdef ROAR_HAVE_LIBSLP
-#include <slp.h>
-#ifdef ROAR_HAVE_H_SYS_TIME
-#include <sys/time.h>
-#endif
-#endif
-
-// Time related:
-
-#ifdef ROAR_HAVE_H_TIME
-#include <time.h>
-#endif
-
-// Dynamic loader:
-
-#if defined(ROAR_HAVE_H_DLFCN)
-#include <dlfcn.h>
-#endif
-
-// X11:
-
-#ifdef ROAR_HAVE_LIBX11
-#include <X11/Xlib.h>
-#include <X11/Xatom.h>
-#endif
-
-#include "roarfeatures.h"
-#include "error.h"
-#include "trap.h"
-#include "config.h"
-#include "roarfloat.h"
-#include "crc.h"
-#include "base64.h"
-#include "keyval.h"
-#include "uuid.h"
-#include "env.h"
-#include "roardl.h"
-#include "plugincontainer.h"
-#include "services.h"
-#include "debug.h"
-#include "memmgr.h"
-#include "stack.h"
-#include "buffer.h"
-#include "crypto.h"
-#include "random.h"
-#include "hash.h"
-#include "hash_tiger.h"
-#include "nnode.h"
-#include "vio_ctl.h"
-#include "vio.h"
-#include "vio_buffer.h"
-#include "vio_buffer_store.h"
-#include "vio_cmd.h"
-#include "vio_zlib.h"
-#include "vio_ops.h"
-#include "vio_string.h"
-#include "vio_magic.h"
-#include "vio_bio.h"
-#include "vio_stdio.h"
-#include "vio_stack.h"
-#include "vio_jumbo.h"
-#include "vio_pipe.h"
-#include "vio_socket.h"
-#include "vio_winsock.h"
-#include "vio_proto.h"
-#include "vio_proxy.h"
-#include "vio_rtp.h"
-#include "vio_select.h"
-// dstr needs to have access to all other VIOs, so it must be included last
-#include "vio_dstr.h"
-#include "vio_tantalos.h"
-#include "vio_stdvios.h"
-#include "vio_misc.h"
-#include "client.h"
 #include "basic.h"
-#include "serverinfo.h"
 #include "stream.h"
 #include "simple.h"
-#include "cdrom.h"
-#include "authfile.h"
 #include "auth.h"
 #include "socket.h"
 #include "ctl.h"
-#include "caps.h"
-#include "roartime.h"
-#include "meta.h"
-#include "file.h"
-#include "acl.h"
-#include "pinentry.h"
-#include "sshaskpass.h"
-#include "passwordapi.h"
-#include "roarslp.h"
-#include "display.h"
-#include "roarx11.h"
-#include "beep.h"
-#include "ltm.h"
-#include "vs.h"
-#include "enumdev.h"
-#include "notify.h"
-#include "notify_proxy.h"
-#include "asyncctl.h"
-#include "kstore.h"
-#include "watchdog.h"
-#include "scheduler.h"
-
-// some basic macros:
-#define ROAR_MAX2(a,b) ((a) > (b) ? (a) : (b))
-#define ROAR_MIN2(a,b) ((a) < (b) ? (a) : (b))
-
-#define ROAR_MAX3(a,b,c) ROAR_MAX2(ROAR_MAX2((a),(b)),(c))
-#define ROAR_MIN3(a,b,c) ROAR_MIN2(ROAR_MIN2((a),(b)),(c))
-
-#define ROAR_MAX4(a,b,c,d) ROAR_MAX2(ROAR_MAX2((a),(b)),ROAR_MAX2((c),(d)))
-#define ROAR_MIN4(a,b,c,d) ROAR_MIN2(ROAR_MIN2((a),(b)),ROAR_MIN2((c),(d)))
-
-#define ROAR_MAX ROAR_MAX2
-#define ROAR_MIN ROAR_MIN2
-
-#define ROAR_CKHAVEARGS(x) if ( (i + (x)) >= argc ) { \
-                            ROAR_ERR("Option %s requires more arguments. See --help for more details.", k); \
-                            return 70; \
-                            }
-
-int_least32_t roar_str2usec(const char * str);
-int roar_usleep(uint_least32_t t);
-int roar_sleep(int t);
-pid_t roar_fork(const struct roar_libroar_forkapi * api);
-
-// call this function after we fork/exec()ed or similar.
-enum roar_reset {
- ROAR_RESET_UNKNOWN     = -1,
-#define ROAR_RESET_UNKNOWN ROAR_RESET_UNKNOWN
- ROAR_RESET_NONE        =  0,
-#define ROAR_RESET_NONE ROAR_RESET_NONE
- ROAR_RESET_ON_FORK     =  1,
-#define ROAR_RESET_ON_FORK ROAR_RESET_ON_FORK
- ROAR_RESET_ON_EXIT     =  2,
-#define ROAR_RESET_ON_EXIT ROAR_RESET_ON_EXIT
- ROAR_RESET_ON_PRE_EXEC =  3,
-#define ROAR_RESET_ON_PRE_EXEC ROAR_RESET_ON_PRE_EXEC
- ROAR_RESET_MEMORY      =  0x81,
-#define ROAR_RESET_MEMORY ROAR_RESET_MEMORY
- ROAR_RESET_CONFIG      =  0x82,
-#define ROAR_RESET_CONFIG ROAR_RESET_CONFIG
- ROAR_RESET_RANDOMPOOL  =  0x84,
-#define ROAR_RESET_RANDOMPOOL ROAR_RESET_RANDOMPOOL
- ROAR_RESET_EOL         = -2
-#define ROAR_RESET_EOL ROAR_RESET_EOL
-};
-int roar_reset(enum roar_reset what);
-
-// fatal probelms:
-enum roar_fatal_error {
- ROAR_FATAL_ERROR_NONE = 0,          // ???
- ROAR_FATAL_ERROR_UNKNOWN,           // Unknown error
-#define ROAR_FATAL_ERROR_UNKNOWN ROAR_FATAL_ERROR_UNKNOWN
- ROAR_FATAL_ERROR_MEMORY_CORRUPTION, // some structure has been corrupted
-#define ROAR_FATAL_ERROR_MEMORY_CORRUPTION ROAR_FATAL_ERROR_MEMORY_CORRUPTION
- ROAR_FATAL_ERROR_MEMORY_CORRUPTION_GUARD, // memory was corruppted but no data has been harmed (yet)
-#define ROAR_FATAL_ERROR_MEMORY_CORRUPTION_GUARD ROAR_FATAL_ERROR_MEMORY_CORRUPTION_GUARD
- ROAR_FATAL_ERROR_CPU_FAILURE,      // CPU general CPU failure
-#define ROAR_FATAL_ERROR_CPU_FAILURE ROAR_FATAL_ERROR_CPU_FAILURE
- ROAR_FATAL_ERROR_CPU_FAILTURE = ROAR_FATAL_ERROR_CPU_FAILURE,
- ROAR_FATAL_ERROR_MEMORY_USED_AFTER_FREE,
-#define ROAR_FATAL_ERROR_MEMORY_USED_AFTER_FREE ROAR_FATAL_ERROR_MEMORY_USED_AFTER_FREE
- ROAR_FATAL_ERROR_MEMORY_DOUBLE_FREE,
-#define ROAR_FATAL_ERROR_MEMORY_DOUBLE_FREE ROAR_FATAL_ERROR_MEMORY_DOUBLE_FREE
- ROAR_FATAL_ERROR_WATCHDOG,
-#define ROAR_FATAL_ERROR_WATCHDOG ROAR_FATAL_ERROR_WATCHDOG
-
- ROAR_FATAL_ERROR_EOL
-};
-
-#if __STDC_VERSION__ < 199901L
-#if __GNUC__ >= 2
-#define __roar_func__ __FUNCTION__
-#else
-#define __roar_func__ NULL
-#endif
-#else
-#define __roar_func__ __func__
-#endif
-
-#define roar_panic(err,info) roar_panic_real((err), (info), __LINE__, __FILE__, ROAR_DBG_PREFIX, __roar_func__)
-void roar_panic_real(enum roar_fatal_error error, const char * info,
-                     unsigned long int line, const char * file, const char * prefix, const char * func);
-
-// version stuff:
-const char * roar_version_string(void);
-uint32_t     roar_version_num(void);
+#include "buffer.h"
+#include "convert.h"
 
 #endif
